Skip to content

Retrieve a list

GET/v1/lists/{id}

Retrieves a single list by its ID.

Required scope: lists:read

Rate limit category: Read

Path ParametersExpand Collapse
id: string

Unique identifier of the list to retrieve.

ReturnsExpand Collapse
ListRetrieveResponse = object { id, createdAt, fields, httpLink }
id: string

Unique identifier for the list.

createdAt: string

ISO 8601 timestamp of when the list was created.

fields: map[object { value, valueType } ]

Map of field names to their typed values. System fields are prefixed with $ (e.g. $name, $objectType).

value: string or number or boolean or 3 more

The field value, or null if unset.

Accepts one of the following:
UnionMember0 = string
UnionMember1 = number
UnionMember2 = boolean
UnionMember3 = array of string
Address = object { city, country, latitude, 5 more }
city: optional string

City name.

country: optional string

2-letter ISO 3166-1 alpha-2 country code.

latitude: optional number

Latitude coordinate.

longitude: optional number

Longitude coordinate.

postalCode: optional string

Postal or ZIP code.

state: optional string

State or province.

street: optional string

Street address line 1.

street2: optional string

Street address line 2.

FullName = object { firstName, lastName }
firstName: optional string

The contact's first name.

lastName: optional string

The contact's last name.

valueType: "ADDRESS" or "CHECKBOX" or "CURRENCY" or 11 more

The data type of the field.

Accepts one of the following:
"ADDRESS"
"CHECKBOX"
"CURRENCY"
"DATETIME"
"EMAIL"
"FULL_NAME"
"MARKDOWN"
"MULTI_SELECT"
"NUMBER"
"SINGLE_SELECT"
"SOCIAL_HANDLE"
"TELEPHONE"
"TEXT"
"URL"

Retrieve a list

curl https://api.lightfield.app/v1/lists/$ID \
    -H 'Lightfield-Version: 2026-03-01' \
    -H "Authorization: Bearer $API_KEY"
{
  "id": "id",
  "createdAt": "createdAt",
  "fields": {
    "foo": {
      "value": "string",
      "valueType": "ADDRESS"
    }
  },
  "httpLink": "httpLink"
}
Returns Examples
{
  "id": "id",
  "createdAt": "createdAt",
  "fields": {
    "foo": {
      "value": "string",
      "valueType": "ADDRESS"
    }
  },
  "httpLink": "httpLink"
}